import java.util.Date;
import java.text.DecimalFormat;

import ORG.netlib.math.complexKorl.Complex;


/**
 *  Class for calculation of number of the happy tickets
 */
public class Scp3Int{

    public static final int dim = 10;
    public static int iters = 1000000;
    public static double[] b = new double[dim];



    /**
      * Calculation of number of the happy tickets
      * @param args the command line arguments
      */
    public static void main (String[] args) {

        for (int it =  1; it <= 5; it++) {
            long start = System.currentTimeMillis();


            for (int i =  0; i < iters; i++) {
            for (int ib = 0; ib < dim; ib++) {
                b[ib] = 1.0;
            }
            
                test();
            }

            for (int i =  0; i < dim; i++) {
                System.out.println(b[i]);
            }

            long end = System.currentTimeMillis();
            System.out.println("Total time = "+ (end-start)*0.001);
        }
    }

/*
    public static double addKorl(double a1, double a2) {
        Complex z1 = new Complex(a1, 0.0);
        Complex z2 = new Complex(a2, 0.0);
        Complex z = z1.add(z2);
        return z.re();
    }
*/
//--------------------------------------   1 sec - postprocessing...
    public static double addKorl (final double a1_13, final double a2_14) {
      return a1_13 + a2_14;
    }
//--------------------------------------   1 sec


/*
    public static double subKorl(double a1, double a2) {
        Complex z1 = new Complex(a1, 0.0);
        Complex z2 = new Complex(a2, 0.0);
        Complex z = z1.sub(z2);
        return z.re();
    }
*/
//--------------------------------------   1 sec - postprocessing...
    public static double subKorl (final double a1_13, final double a2_14) {
      return a1_13 - a2_14;
    }
//--------------------------------------   1 sec


/*
    public static double mulKorl(double a1, double a2) {
        Complex z1 = new Complex(a1, 0.0);
        Complex z2 = new Complex(a2, 0.0);
        Complex z = z1.mul(z2);
        return z.re();
    }
*/
//--------------------------------------   3 sec - postprocessing...
    public static double mulKorl (final double a1_13, final double a2_14) {
      return a1_13 * a2_14;
    }
//--------------------------------------   3 sec

/*
    public static double divKorl(double a1, double a2) {
        Complex z1 = new Complex(a1, 0.0);
        Complex z2 = new Complex(a2, 0.0);
        Complex z = z1.div(z2);
        return z.re();
    }
*/
//--------------------------------------   3 sec - postprocessing...
    public static double divKorl (final double a1_13, final double a2_14) {
      return a1_13 * (a2_14 / (a2_14 * a2_14));
    }
//--------------------------------------   3 sec


/*
    public static void test() {
        double [][] A = new double[dim][dim];
        double [] bb  = new double[dim];

            for (int ib = 0; ib < dim; ib++) {
                bb[ib] = b[ib];
            }

        for (int i = 0; i < dim; i++) {
            for (int j = 0; j < dim; j++) {
            A[i][j] = 0.0;
            }
        }

        for (int i = 1; i < dim; i++) {
            A[i][i-1] = 1.0;
        }

        for (int i = 0; i < dim; i++) {
            A[0][i] = 1.0;
        }

        for (int i = 0; i < dim; i++) {
            for (int j = 0; j < dim; j++) {
                if (j != i) {
                    double rrr = divKorl(A[j][i], A[i][i]);
                    for (int k = 0; k < dim; k++) {
                        A[j][k] = subKorl(A[j][k], mulKorl(A[i][k],rrr));

                    }
                    bb[j] = subKorl(bb[j], mulKorl(rrr, bb[i]));
                };
            }
        }

        for (int i = 0; i < dim; i++) {
            bb[i] = divKorl(bb[i], A[i][i]);
        }
        
        for (int ib = 0; ib < dim; ib++) {
            b[ib] = bb[ib];
        }

    }
*/

//-------------------------------------- 134 sec - postprocessing...
    public static void test () {
      final double bb_0_27 = Scp3Int.b[0];
      final double bb_1_548 = Scp3Int.b[1] - bb_0_27;
      final double bb_2_1139 = Scp3Int.b[2] - -1D * bb_1_548;
      final double bb_3_1729 = Scp3Int.b[3] - -1D * bb_2_1139;
      final double bb_4_2319 = Scp3Int.b[4] - -1D * bb_3_1729;
      final double bb_5_2909 = Scp3Int.b[5] - -1D * bb_4_2319;
      final double bb_6_3499 = Scp3Int.b[6] - -1D * bb_5_2909;
      final double bb_7_4089 = Scp3Int.b[7] - -1D * bb_6_3499;
      final double bb_8_4679 = Scp3Int.b[8] - -1D * bb_7_4089;
      final double bb_9_5269 = Scp3Int.b[9] - -1D * bb_8_4679;
      final double bb_1_5814 = (bb_1_548 - bb_2_1139) * -1D;
      final double bb_2_5819 = (bb_2_1139 - bb_3_1729) * -1D;
      final double bb_3_5824 = (bb_3_1729 - bb_4_2319) * -1D;
      final double bb_4_5829 = (bb_4_2319 - bb_5_2909) * -1D;
      final double bb_5_5834 = (bb_5_2909 - bb_6_3499) * -1D;
      final double bb_6_5839 = (bb_6_3499 - bb_7_4089) * -1D;
      final double bb_7_5844 = (bb_7_4089 - bb_8_4679) * -1D;
      final double bb_8_5849 = (bb_8_4679 - bb_9_5269) * -1D;
      final double bb_9_5854 = bb_9_5269 * -1D;
      Scp3Int.b[0] = bb_0_27 - -1D * bb_1_548;
      Scp3Int.b[1] = bb_1_5814;
      Scp3Int.b[2] = bb_2_5819;
      Scp3Int.b[3] = bb_3_5824;
      Scp3Int.b[4] = bb_4_5829;
      Scp3Int.b[5] = bb_5_5834;
      Scp3Int.b[6] = bb_6_5839;
      Scp3Int.b[7] = bb_7_5844;
      Scp3Int.b[8] = bb_8_5849;
      Scp3Int.b[9] = bb_9_5854;
      return;
    }
//-------------------------------------- 134 sec

}